Name:		dibbler
Version:	0.7.3
Release:	1%{?dist}
Summary:	A portable DHCPv6 daemon

Group:		System Environment/Daemons
License:	GPLv2
URL:		http://klub.com.pl/dhcpv6/
Source0:	http://klub.com.pl/dhcpv6/dibbler/%{name}-%{version}-src.tar.gz
Source1:	%{name}.init
Source2:	%{name}.sysconfig
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	texlive-latex
Requires(post):	chkconfig
Requires(preun):	chkconfig
Requires(preun):	initscripts

%description
Dibbler supports both stateful (i.e. IPv6 address granting) and
stateless (i.e. options granting) autoconfiguration modes of DHCPv6
protocol. There are ports available for Linux 2.4/2.6 systems as well
as MS Windows XP,2003 (experimental support for NT4 and 2000). 
They are freely available under GNU GPL v2 or later license. 

Install Dibbler if you'd like to have IPv6 hosts automatically 
configured in your network. All infrastructure elements are
provided: server, client and relay.

%prep
%setup -q

%build
make client server relay doc

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
%{__install} -m 755 dibbler-server $RPM_BUILD_ROOT/%{_sbindir}
%{__install} -m 755 dibbler-client $RPM_BUILD_ROOT/%{_sbindir}
%{__install} -m 755 dibbler-relay  $RPM_BUILD_ROOT/%{_sbindir}
#mkdir -p $RPM_BUILD_ROOT/%{_defaultdocdir}/dibbler
#%{__install} -m 644 doc/dibbler-user.pdf $RPM_BUILD_ROOT/%{_defaultdocdir}/dibbler
#%{__install} -m 644 doc/dibbler-devel.pdf $RPM_BUILD_ROOT/%{_defaultdocdir}/dibbler
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man8
%{__install} -m 644 doc/man/dibbler-client.8 $RPM_BUILD_ROOT/%{_mandir}/man8
%{__install} -m 644 doc/man/dibbler-server.8 $RPM_BUILD_ROOT/%{_mandir}/man8
%{__install} -m 644 doc/man/dibbler-relay.8  $RPM_BUILD_ROOT/%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/dibbler
%{__install} -m 644 client.conf $RPM_BUILD_ROOT/%{_sysconfdir}/dibbler
%{__install} -m 644 client-stateless.conf $RPM_BUILD_ROOT/%{_sysconfdir}/dibbler
%{__install} -m 644 server.conf $RPM_BUILD_ROOT/%{_sysconfdir}/dibbler
%{__install} -m 644 server-stateless.conf $RPM_BUILD_ROOT/%{_sysconfdir}/dibbler
%{__install} -m 644 relay.conf $RPM_BUILD_ROOT/%{_sysconfdir}/dibbler
%{__mkdir_p} $RPM_BUILD_ROOT/%{_initrddir}
%{__install} -p -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/%{_initrddir}/%{name}
%{__mkdir_p} $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig
%{__install} -p -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/%{_sysconfdir}/sysconfig/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}

%preun
if [ $1 -eq 0 ]; then
   /sbin/service %{name} stop >/dev/null 2&>1
   /sbin/chkconfig --del %{name}
fi

%postun
if [ $1 -ge 1 ]; then
   /sbin/service %{name} try-restart >/dev/null
fi

%files
%defattr(-,root,root,-)
%doc CHANGELOG LICENSE RELNOTES doc/dibbler-user.pdf doc/dibbler-devel.pdf
%{_sbindir}/dibbler-*
%{_mandir}/man8/dibbler-*.8.gz
%config(noreplace) %{_sysconfdir}/dibbler
%{_initrddir}/%{name}
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}

%changelog
* Tue Aug 18 2009 J. Randall Owens <jrowens@ghiapet.net> - 0.7.3-1
- Update to 0.7.3, Fedora 11
- Initial build since old 0.4.1 spec file

